Generation Framework

## org.eclipse.gmf.gmfgraph
Interface FigureRef

All Superinterfaces:
  EObject, FigureMarker, Layoutable, Notifier

All Known Implementing Classes:
  FigureRefImpl

public interface FigureRef
extends FigureMarker

A representation of the model object 'Figure Ref'. Need this to facilitate reuse of figures while keeping (so nice looking) containment relationship in the Figure class

The following features are supported:

- `Figure`

See Also:
  `GMFGraphPackage.getFigureRef()`
** Generated **
Model:

Method Summary
`Figure` `getFigure()` Returns the value of the 'Figure' reference
`void` `setFigure(Figure value)` Sets the value of the '`Figure`' reference

Methods inherited from interface org.eclipse.gmf.gmfgraph.FigureMarker
`getParent`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Layoutable
`getLayout, getLayoutData, setLayout, setLayoutData`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFigure

    public Figure getFigure()

  Returns the value of the 'Figure' reference. not FigureMarker because don't want to reference figure references.

  Returns:
    the value of the 'Figure' reference.
  See Also:
    `FigureRef.setFigure(Figure)`, `GMFGraphPackage.getFigureRef_Figure()`
  ** Generated **
  Model:
    required="true"

### setFigure

    public void setFigure(Figure value)

  Sets the value of the '`Figure`' reference.

  Parameters:
    `value` - the new value of the 'Figure' reference.
  See Also:
    `FigureRef.getFigure()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.